package me.wazup.hideandseek.commands.admin;

import org.bukkit.ChatColor;
import me.wazup.hideandseek.Arena;
import me.wazup.hideandseek.Config;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class StopCommand extends SubCommand
{
    public StopCommand() {
        super("hideandseek.stop", true, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (Config.getInstance().bungeeEnabled) {
            commandSender.sendMessage((String)customization.messages.get("unknown_command"));
            return true;
        }
        if (array.length == 1) {
            return false;
        }
        final Arena value = Arena.valueOf(array[1]);
        if (value == null) {
            commandSender.sendMessage((String)customization.messages.get("unknown_arena"));
            return true;
        }
        if (!value.state.equals((Object)Arena.ArenaState.INGAME)) {
            commandSender.sendMessage(customization.prefix + "The arena isn't even in a game!");
            return true;
        }
        value.kickAll();
        commandSender.sendMessage(customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "The arena " + ChatColor.YELLOW + value.name + ChatColor.GOLD + " has been forced to stop!");
        return true;
    }
}
